Legacy (v0)
Export an order as PDF
Generates a PDF of one of the company’s orders and returns a signed download URL for it. The URL expires 12 hours after it is issued. Requires a company token with permission to view orders. Returns 404 when the order does not belong to the company.
POST
/
api
/
company
/
orders
/
export_pdf
Export an order as PDF
curl --request POST \
--url https://api.fluid.app/api/company/orders/export_pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 48213
}
'import requests
url = "https://api.fluid.app/api/company/orders/export_pdf"
payload = { "order_id": 48213 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({order_id: 48213})
};
fetch('https://api.fluid.app/api/company/orders/export_pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/orders/export_pdf",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order_id' => 48213
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/orders/export_pdf"
payload := strings.NewReader("{\n \"order_id\": 48213\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/orders/export_pdf")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order_id\": 48213\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/orders/export_pdf")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order_id\": 48213\n}"
response = http.request(request)
puts response.read_body{
"url": "https://storage.googleapis.com/fluid-uploads/uploads/20260914/3f6b9c2e-7a14-4d8b-9e25-c1a0f4d7b863/order_48213_20260914_154207.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Expires=43200",
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-14T15:42:07Z"
}
}{
"message": "<string>"
}⌘I
Export an order as PDF
curl --request POST \
--url https://api.fluid.app/api/company/orders/export_pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 48213
}
'import requests
url = "https://api.fluid.app/api/company/orders/export_pdf"
payload = { "order_id": 48213 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({order_id: 48213})
};
fetch('https://api.fluid.app/api/company/orders/export_pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/orders/export_pdf",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order_id' => 48213
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/orders/export_pdf"
payload := strings.NewReader("{\n \"order_id\": 48213\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/orders/export_pdf")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order_id\": 48213\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/orders/export_pdf")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order_id\": 48213\n}"
response = http.request(request)
puts response.read_body{
"url": "https://storage.googleapis.com/fluid-uploads/uploads/20260914/3f6b9c2e-7a14-4d8b-9e25-c1a0f4d7b863/order_48213_20260914_154207.pdf?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Expires=43200",
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-14T15:42:07Z"
}
}{
"message": "<string>"
}